/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.criterion.entity;

import com.fasterxml.jackson.annotation.JsonBackReference;
import javax.validation.constraints.NotNull;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

import com.jeeplus.core.persistence.TreeEntity;

/**
 * criterionEntity
 * @author 邱悦
 * @version 2021-12-28
 */
@JsonIgnoreProperties(value={"hibernateLazyInitializer","handler"})
public class EvaluationCriterion extends TreeEntity<EvaluationCriterion> {
	
	private static final long serialVersionUID = 1L;
	private String serialNumber; //序号
	private String Veto;		// 是否否决
	
	
	public EvaluationCriterion() {
		super();
	}

	public EvaluationCriterion(String id){
		super(id);
	}

	public String getSerialNumber() {
		return serialNumber;
	}

	public void setSerialNumber(String serialNumber) {
		this.serialNumber = serialNumber;
	}

	public String getVeto() {
		return Veto;
	}

	public void setVeto(String Veto) {
		this.Veto = Veto;
	}
	
	public  EvaluationCriterion getParent() {
			return parent;
	}
	
	@Override
	public void setParent(EvaluationCriterion parent) {
		this.parent = parent;
		
	}
	
	public String getParentId() {
		return parent != null && parent.getId() != null ? parent.getId() : "0";
	}
}